Package help

# Interface HelpDescriptor

All Known Subinterfaces:
  `ComponentBasedDockingAction`, `DockingActionIf`, `ToggleDockingActionIf`

All Known Implementing Classes:
  `AbstractFindReferencesDataTypeAction`, `AbstractFindReferencesToAddressAction`, `AbstractSelectionNavigationAction`, `AddAllFieldAction`, `AddFieldAction`, `AddSpacerFieldAction`, `ClearCutAction`, `ComponentProvider`, `ComponentProviderAdapter`, `ComponentThemeInspectorAction`, `ContextSpecificAction`, `DbViewerProvider`, `DecompilerDiffViewFindAction`, `DeleteTableRowAction`, `DialogProjectDataCollapseAction`, `DialogProjectDataExpandAction`, `DialogProjectDataNewFolderAction`, `DisableFieldAction`, `DockingAction`, `DockingActionProxy`, `DockingDialog`, `DomainEventComponentProvider`, `DomainFileProviderContextAction`, `DomainFolderChangesDisplayComponentProvider`, `EnableFieldAction`, `EventDisplayComponentProvider`, `FindCheckoutsAction`, `FrontEndProjectDataCollapseAction`, `FrontEndProjectDataExpandAction`, `FrontEndProjectDataNewFolderAction`, `FrontendProjectTreeAction`, `FSBAction`, `HelpAction`, `HorizontalRuleAction`, `InsertRowAction`, `KeyBindingAction`, `ListingComparisonProvider`, `ListingContextAction`, `ListingMergePanelProvider`, `MakeProgramSelectionAction`, `MultiActionDockingAction`, `MultiStateDockingAction`, `NavigatableComponentProviderAdapter`, `NavigatableContextAction`, `NextRangeAction`, `NonToolbarMultiStateAction`, `PreviousRangeAction`, `ProgramContextAction`, `ProgramLocationContextAction`, `ProgramSymbolContextAction`, `ProjectDataCollapseAction`, `ProjectDataContextToggleAction`, `ProjectDataCopyAction`, `ProjectDataCopyCutBaseAction`, `ProjectDataCutAction`, `ProjectDataDeleteAction`, `ProjectDataExpandAction`, `ProjectDataNewFolderAction`, `ProjectDataOpenDefaultToolAction`, `ProjectDataOpenToolAction`, `ProjectDataPasteAction`, `ProjectDataPasteLinkAction`, `ProjectDataReadOnlyAction`, `ProjectDataRefreshAction`, `ProjectDataRenameAction`, `ProjectDataSelectAction`, `ProjectTreeAction`, `PropertyManagerProvider`, `RemoveAllFieldsAction`, `RemoveFieldAction`, `RemoveRowAction`, `ResetAllFormatsAction`, `ResetFormatAction`, `ResetTranslationAction`, `SaveImageAction`, `SelectionNavigationAction`, `SetSpacerTextAction`, `SharedStubKeyBindingAction`, `ShowAllComponentsAction`, `ShowContextMenuAction`, `ShowFocusCycleAction`, `ShowFocusInfoAction`, `ToggleDockingAction`, `VersionControlAction`, `VersionControlAddAction`, `VersionControlCheckInAction`, `VersionControlCheckOutAction`, `VersionControlDataTypeArchiveUndoCheckoutAction`, `VersionControlShowHistoryAction`, `VersionControlUndoCheckOutAction`, `VersionControlUndoHijackAction`, `VersionControlUpdateAction`, `VersionControlViewCheckOutAction`, `ViewInstructionDetailsAction`, `VisualGraphComponentProvider`, `ZoomInAction`, `ZoomOutAction`, `ZoomResetAction`

public interface HelpDescriptor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getHelpInfo()`
  Returns a descriptive String about the help object that this descriptor represents.
  `Object`
  `getHelpObject()`
  Returns the object for which help locations are defined.

- ## Method Details

  - ### getHelpObject

    Object getHelpObject()
    Returns the object for which help locations are defined. This may be the implementor of this interface or some other delegate object.
    Returns:
      the help object

  - ### getHelpInfo

    String getHelpInfo()
    Returns a descriptive String about the help object that this descriptor represents.
    Returns:
      the help info